curl --request POST \
--url https://api.cadanapay.com/v1/businesses/{businessId}/deposits \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": {
"amount": 10000,
"currency": "USD"
},
"idempotencyKey": "b6ae5da9-6342-4a58-bd50-8564d68d3f7e",
"externalAccountId": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"paymentMethod": "ach",
"suppressNotification": false,
"description": "April payroll funding"
}
'import requests
url = "https://api.cadanapay.com/v1/businesses/{businessId}/deposits"
payload = {
"amount": {
"amount": 10000,
"currency": "USD"
},
"idempotencyKey": "b6ae5da9-6342-4a58-bd50-8564d68d3f7e",
"externalAccountId": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"paymentMethod": "ach",
"suppressNotification": False,
"description": "April payroll funding"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: {amount: 10000, currency: 'USD'},
idempotencyKey: 'b6ae5da9-6342-4a58-bd50-8564d68d3f7e',
externalAccountId: '8ef9a712-cdae-4110-b1ea-9ba95abbee6e',
paymentMethod: 'ach',
suppressNotification: false,
description: 'April payroll funding'
})
};
fetch('https://api.cadanapay.com/v1/businesses/{businessId}/deposits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e"
}{
"code": "invalid_request_body",
"message": "The request body provided is not valid",
"params": {
"field": "Value is invalid."
}
}{
"code": "resource_not_found",
"message": "Requested resource could not be found."
}{
"code": "internal_error",
"message": "An unexpected error occurred. Please try again later."
}Create Deposit
Create a deposit to add funds to a business account
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Required when using a Platform API token. The tenant key identifying which business to operate on.
Path Parameters
The unique identifier for the business
Body
Create a deposit to add funds to a business account
Show child attributes
Show child attributes
Unique string to prevent dedupe
"b6ae5da9-6342-4a58-bd50-8564d68d3f7e"
unique identifier of the external account to pull funds from, required for an ach direct-debit
"8ef9a712-cdae-4110-b1ea-9ba95abbee6e"
Payment method for the deposit
ach "ach"
Whether to suppress email notifications (optional, defaults to false)
Optional free-text label attached to the deposit. Surfaced on the resulting ledger entry and any notification emails.
"April payroll funding"
Response
create business deposit response
"8ef9a712-cdae-4110-b1ea-9ba95abbee6e"